Katello - Bug #5815

Capsule-installer fails to set messaging properly for pulp-2.4
05/20/2014 12:47 PM - lvan Necas

Status: Closed

Priority: Normal

Assignee: Ivan Necas

Category: Installer

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It seems the configuration of messaging for pulp was not proper in capsule-installer, pulp-2.3
was tolerant on this failure, but pulp 2.4 fails greatly with that.

Associated revisions

Revision e04cffee - 05/20/2014 08:49 AM - lvan Necas
Fixes #5815 - set up the gpid ssl connection properly

Revision e04cffee - 05/20/2014 08:49 AM - lvan Necas
Fixes #5815 - set up the gpid ssl connection properly

Revision 79bb7026 - 05/20/2014 08:51 AM - Ilvan Necas
Refs #5815 - generate certs for node qpid

Revision 09ca7a7a - 05/21/2014 07:20 AM - Ivan Necas
Refs #5815 - make sure the required users are present
By making sure the packages that deploy users are there
Revision 6¢2f9717 - 05/21/2014 07:25 AM - lvan Necas
Fixes #5815 - don't register the node

We use Foreman proxy registration since now

Revision 6¢2f9717 - 05/21/2014 07:25 AM - Ivan Necas
Fixes #5815 - don't register the node

We use Foreman proxy registration since now

Revision 231e6d7a - 05/21/2014 07:31 AM - lvan Necas

Refs #5815 - remove the node registration feature

Revision 965b7596 - 05/22/2014 10:30 AM - lvan Necas

Refs #5815 - install dependencies for successful proxy registration

Revision dd4cdiee - 05/22/2014 02:55 PM - Ivan Necas
Merge pull request #64 from iNecas/apipie-bindings-deps

Refs #5815 - install dependencies for successful proxy registration

Revision e5088c4e - 05/22/2014 03:09 PM - Justin Sherrill
Fixes #5815 - setup gpid URL properly
Revision e5088c4e - 05/22/2014 03:09 PM - Justin Sherrill
Fixes #5815 - setup gpid URL properly

Revision 09a2b359 - 05/22/2014 09:44 PM - Justin Sherrill
Merge pull request #5 from iNecas/pulp-child-gpid

Fixes #5815 - set up the gpid ssl connection properly
Revision 09a2b359 - 05/22/2014 09:44 PM - Justin Sherrill
Merge pull request #5 from iNecas/pulp-child-qpid

Fixes #5815 - set up the gpid ssl connection properly
Revision alaee4f8 - 05/22/2014 09:45 PM - Justin Sherrill
Merge pull request #6 from jIsherrill/iNecas-pulp-child-gpid
Fixes #5815 - set up the gpid ssl connection properly
Revision alaee4f8 - 05/22/2014 09:45 PM - Justin Sherrill
Merge pull request #6 from jlsherrill/iNecas-pulp-child-gpid
Fixes #5815 - set up the gpid ssl connection properly
Revision bc1f86¢cd - 05/22/2014 09:47 PM - Justin Sherrill
Merge pull request #14 from iNecas/pulp-child-gpid

Refs #5815 - generate certs for node qpid

Revision b93b54ec - 06/10/2014 09:41 AM - Ivan Necas
Merge pull request #26 from iNecas/pulp-child-gpid

Refs #5815 - remove the node registration feature

History

#1 - 05/20/2014 12:53 PM - Ivan Necas
- Category changed from 111 to Installer

- Status changed from Assigned to Ready For Testing

Fix proposed at https://github.com/Katello/puppet-capsule/pull/5 and https:/github.com/Katello/puppet-certs/pull/14

#2 - 05/27/2014 03:31 PM - lvan Necas
- Status changed from Ready For Testing to Closed

#3 - 06/05/2014 03:35 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
